summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /mail-mta/mini-qmail
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'mail-mta/mini-qmail')
-rw-r--r--mail-mta/mini-qmail/Manifest4
-rw-r--r--mail-mta/mini-qmail/files/1.05-config-mini-help.patch16
-rw-r--r--mail-mta/mini-qmail/files/1.06-exit.patch18
-rw-r--r--mail-mta/mini-qmail/files/1.06-headers.patch37
-rw-r--r--mail-mta/mini-qmail/files/99qmail3
-rw-r--r--mail-mta/mini-qmail/files/config-mini38
-rw-r--r--mail-mta/mini-qmail/metadata.xml8
-rw-r--r--mail-mta/mini-qmail/mini-qmail-1.05-r1.ebuild98
-rw-r--r--mail-mta/mini-qmail/mini-qmail-1.05.ebuild106
-rw-r--r--mail-mta/mini-qmail/mini-qmail-1.06.ebuild70
10 files changed, 398 insertions, 0 deletions
diff --git a/mail-mta/mini-qmail/Manifest b/mail-mta/mini-qmail/Manifest
new file mode 100644
index 00000000000..4ed5ab704f2
--- /dev/null
+++ b/mail-mta/mini-qmail/Manifest
@@ -0,0 +1,4 @@
+DIST genqmail-20080406.tar.bz2 10252 SHA256 501ca2120c7619569bd9ac3e0035cb0022bfd0cdc9c720b5c43c9e3a4eb07ce8
+DIST mini-qmail-kit-0.52.tar.gz 6174 SHA256 8796d7ba7a6b1ff49df371491e2cebb1dca81169fa3d98d730f9d717067cf6d6
+DIST netqmail-1.05.tar.gz 252264 SHA256 59788abf252e2da224542c1c8b727311335c61d990f24f4edf28f6eb5483f676
+DIST netqmail-1.06.tar.gz 260941 SHA256 8e7d98d15211fc9f9c28109e942e2268f42a6672d68df92a42f2afa90ff00532
diff --git a/mail-mta/mini-qmail/files/1.05-config-mini-help.patch b/mail-mta/mini-qmail/files/1.05-config-mini-help.patch
new file mode 100644
index 00000000000..1b217dc9636
--- /dev/null
+++ b/mail-mta/mini-qmail/files/1.05-config-mini-help.patch
@@ -0,0 +1,16 @@
+--- config-mini.sh.orig 2004-05-05 23:24:23.468285864 -0400
++++ config-mini.sh 2004-05-05 23:27:00.622394808 -0400
+@@ -1,7 +1,12 @@
+
+ case $# in
+ 0|1|2|3|4)
+- echo 'config-mini: usage: config-mini me defaultdom plusdom idhost qmqpserver ...' 1>&2
++ echo 'usage: config-mini me defaultdom plusdom idhost qmqpserver [more qmqp servers]' 1>&2
++ echo ' me - copied from the QMQP server'
++ echo ' plusdom - copied from the QMQP server'
++ echo ' defaultdom - copied from the QMQP server'
++ echo ' idhost - hostname of QMPQ client'
++ echo ' qmqpserver - list of QMQP servers IP addresses to send mail through'
+ exit 100
+ ;;
+ esac
diff --git a/mail-mta/mini-qmail/files/1.06-exit.patch b/mail-mta/mini-qmail/files/1.06-exit.patch
new file mode 100644
index 00000000000..e0e7dea0f32
--- /dev/null
+++ b/mail-mta/mini-qmail/files/1.06-exit.patch
@@ -0,0 +1,18 @@
+Index: netqmail-1.06/qmail-pw2u.c
+===================================================================
+--- netqmail-1.06.orig/qmail-pw2u.c
++++ netqmail-1.06/qmail-pw2u.c
+@@ -1,3 +1,4 @@
++#include <unistd.h>
+ #include <sys/types.h>
+ #include <sys/stat.h>
+ #include "substdio.h"
+Index: netqmail-1.06/qmail-qmtpd.c
+===================================================================
+--- netqmail-1.06.orig/qmail-qmtpd.c
++++ netqmail-1.06/qmail-qmtpd.c
+@@ -1,3 +1,4 @@
++#include <unistd.h>
+ #include "stralloc.h"
+ #include "substdio.h"
+ #include "qmail.h"
diff --git a/mail-mta/mini-qmail/files/1.06-headers.patch b/mail-mta/mini-qmail/files/1.06-headers.patch
new file mode 100644
index 00000000000..566babfa629
--- /dev/null
+++ b/mail-mta/mini-qmail/files/1.06-headers.patch
@@ -0,0 +1,37 @@
+--- a/qmail-pw2u.c
++++ b/qmail-pw2u.c
+@@ -1,3 +1,4 @@
++#include <unistd.h>
+ #include <sys/types.h>
+ #include <sys/stat.h>
+ #include "substdio.h"
+--- a/qmail-qmtpd.c
++++ b/qmail-qmtpd.c
+@@ -1,3 +1,4 @@
++#include <unistd.h>
+ #include "stralloc.h"
+ #include "substdio.h"
+ #include "qmail.h"
+--- a/readwrite.h
++++ b/readwrite.h
+@@ -1,7 +1,7 @@
+ #ifndef READWRITE_H
+ #define READWRITE_H
+
+-extern int read();
+-extern int write();
++#include <fcntl.h>
++#include <unistd.h>
+
+ #endif
+--- a/substdio.h
++++ b/substdio.h
+@@ -1,6 +1,8 @@
+ #ifndef SUBSTDIO_H
+ #define SUBSTDIO_H
+
++#include <unistd.h>
++
+ typedef struct substdio {
+ char *x;
+ int p;
diff --git a/mail-mta/mini-qmail/files/99qmail b/mail-mta/mini-qmail/files/99qmail
new file mode 100644
index 00000000000..469553953a1
--- /dev/null
+++ b/mail-mta/mini-qmail/files/99qmail
@@ -0,0 +1,3 @@
+PATH="/var/qmail/bin"
+ROOTPATH="/var/qmail/bin"
+CONFIG_PROTECT="/var/qmail/control"
diff --git a/mail-mta/mini-qmail/files/config-mini b/mail-mta/mini-qmail/files/config-mini
new file mode 100644
index 00000000000..009026e2c09
--- /dev/null
+++ b/mail-mta/mini-qmail/files/config-mini
@@ -0,0 +1,38 @@
+
+case $# in
+ 0|1|2|3|4)
+ echo 'config-mini: usage: config-mini me defaultdom plusdom idhost qmqpserver ...' 1>&2
+ exit 100
+ ;;
+ esac
+
+me="$1"; shift
+defaultdomain="$1"; shift
+plusdomain="$1"; shift
+idhost="$1"; shift
+
+echo Putting "$me" into control/me...
+echo "$me" > QMAIL/control/me
+chmod 644 QMAIL/control/me
+
+echo Putting "$defaultdomain" into control/defaultdomain...
+echo "$defaultdomain" > QMAIL/control/defaultdomain
+chmod 644 QMAIL/control/defaultdomain
+
+echo Putting "$plusdomain" into control/plusdomain...
+echo "$plusdomain" > QMAIL/control/plusdomain
+chmod 644 QMAIL/control/plusdomain
+
+echo Putting "$idhost" into control/idhost...
+echo "$idhost" > QMAIL/control/idhost
+chmod 644 QMAIL/control/idhost
+
+cp /dev/null QMAIL/control/qmqpservers
+for qmqpserver in "$@"
+ do
+ echo Putting "$qmqpserver" into control/qmqpservers...
+ echo "$qmqpserver" >> QMAIL/control/qmqpservers
+ chmod 644 QMAIL/control/qmqpservers
+ done
+
+exit 0
diff --git a/mail-mta/mini-qmail/metadata.xml b/mail-mta/mini-qmail/metadata.xml
new file mode 100644
index 00000000000..4f23b826fd0
--- /dev/null
+++ b/mail-mta/mini-qmail/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>qmail</herd>
+ <maintainer>
+ <email>vapier@gentoo.org</email>
+ </maintainer>
+</pkgmetadata>
diff --git a/mail-mta/mini-qmail/mini-qmail-1.05-r1.ebuild b/mail-mta/mini-qmail/mini-qmail-1.05-r1.ebuild
new file mode 100644
index 00000000000..791503e0466
--- /dev/null
+++ b/mail-mta/mini-qmail/mini-qmail-1.05-r1.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils toolchain-funcs fixheadtails
+
+MINI_VER=0.52
+DESCRIPTION="a small null client that forwards mail via QMQP to a full qmail server"
+HOMEPAGE="http://www.qmail.org/ http://cr.yp.to/qmail/mini.html"
+SRC_URI="mirror://qmail/netqmail-${PV}.tar.gz
+ http://www.din.or.jp/~ushijima/mini-qmail-kit/mini-qmail-kit-${MINI_VER}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="amd64 arm hppa ~mips ppc x86"
+IUSE=""
+
+DEPEND="sys-apps/groff"
+RDEPEND="
+ !mail-mta/courier
+ !mail-mta/esmtp
+ !mail-mta/exim
+ !mail-mta/msmtp
+ !mail-mta/netqmail
+ !mail-mta/nullmailer
+ !mail-mta/postfix
+ !mail-mta/qmail-ldap
+ !mail-mta/sendmail
+ !mail-mta/ssmtp
+ !mail-mta/opensmtpd
+ "
+
+S=${WORKDIR}/mini-qmail-kit-${MINI_VER}
+
+src_unpack() {
+ unpack netqmail-${PV}.tar.gz
+ unpack mini-qmail-kit-${MINI_VER}.tar.gz
+
+ cd "${S}"
+ epatch "${FILESDIR}"/${PV}-config-mini-help.patch
+ sed -i \
+ -e "/^qmail=/s:=.*:=${WORKDIR}/netqmail-${PV}/netqmail-${PV}:" \
+ Makefile.mini || die
+
+ cd "${WORKDIR}"/netqmail-${PV}
+ ./collate.sh || die "patching failed"
+
+ cd netqmail-${PV}
+ echo -n "$(tc-getCC) ${CFLAGS}" > "${S}"/conf-cc
+ echo -n "$(tc-getCC) ${LDFLAGS}" > "${S}"/conf-ld
+ ht_fix_file Makefile
+}
+
+src_compile() {
+ emake -f Makefile.mini || die "mini prep failed"
+ emake mini || die "make mini failed"
+}
+
+src_install() {
+ einfo "Setting up directory hierarchy ..."
+ keepdir /var/mini-qmail/control
+
+ dodoc INSTALL README
+
+ exeinto /var/mini-qmail/bin
+ doexe qmail-qmqpc forward qmail-inject \
+ sendmail predate datemail mailsubj \
+ qmail-showctl maildirmake maildir2mbox \
+ maildirwatch qail elq pinq \
+ || die "doexe failed"
+ dosym qmail-qmqpc /var/mini-qmail/bin/qmail-queue
+ newexe config-mini.sh config-mini
+ dosed "s:QMAIL:/var/mini-qmail/:g" /var/mini-qmail/bin/config-mini
+
+ doman qmail-qmqpc.8 forward.1 qmail-inject.8 \
+ mailsubj.1 qmail-showctl.8 maildirmake.1 \
+ maildir2mbox.1 maildirwatch.1 qmail-queue.8 \
+ qmail.7
+
+ einfo "Adding env.d entry for qmail"
+ doenvd "${FILESDIR}"/99qmail
+
+ einfo "Creating sendmail replacement ..."
+ diropts -m 755
+ dodir /usr/sbin /usr/lib
+ dosym /var/mini-qmail/bin/sendmail /usr/sbin/sendmail
+ dosym /var/mini-qmail/bin/sendmail /usr/lib/sendmail
+}
+
+pkg_postinst() {
+ elog "In order for mini-qmail to work, you need to setup"
+ elog "the QMQP server information."
+ elog
+ elog "You can setup the values in /var/mini-qmail/control yourself,"
+ elog "or use the utility /var/mini-qmail/bin/config-mini"
+ elog "To find out what values to put in what files, see the install"
+ elog "section of http://cr.yp.to/qmail/mini.html"
+}
diff --git a/mail-mta/mini-qmail/mini-qmail-1.05.ebuild b/mail-mta/mini-qmail/mini-qmail-1.05.ebuild
new file mode 100644
index 00000000000..1a48cf554c9
--- /dev/null
+++ b/mail-mta/mini-qmail/mini-qmail-1.05.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils toolchain-funcs fixheadtails user
+
+DESCRIPTION="a small null client that forwards mail via QMQP to a full qmail server"
+HOMEPAGE="http://www.qmail.org/ http://cr.yp.to/qmail/mini.html"
+SRC_URI="mirror://qmail/netqmail-${PV}.tar.gz
+ http://www.din.or.jp/~ushijima/mini-qmail-kit/mini-qmail-kit-0.52.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="amd64 arm hppa ~mips ppc x86"
+IUSE=""
+
+DEPEND="sys-apps/groff"
+RDEPEND="
+ !mail-mta/courier
+ !mail-mta/esmtp
+ !mail-mta/exim
+ !mail-mta/msmtp
+ !mail-mta/netqmail
+ !mail-mta/nullmailer
+ !mail-mta/postfix
+ !mail-mta/qmail-ldap
+ !mail-mta/sendmail
+ !mail-mta/ssmtp
+ !mail-mta/opensmtpd
+ "
+
+S=${WORKDIR}/netqmail-${PV}/netqmail-${PV}
+
+pkg_setup() {
+ # keep in sync with qmail pkg
+ enewgroup qmail 201
+ enewuser alias 200 -1 /var/qmail/alias 200
+ enewuser qmaild 201 -1 /var/qmail 200
+ enewuser qmaill 202 -1 /var/qmail 200
+ enewuser qmailp 203 -1 /var/qmail 200
+ enewuser qmailq 204 -1 /var/qmail 201
+ enewuser qmailr 205 -1 /var/qmail 201
+ enewuser qmails 206 -1 /var/qmail 201
+}
+
+src_unpack() {
+ unpack netqmail-${PV}.tar.gz
+ unpack mini-qmail-kit-0.52.tar.gz
+
+ cd netqmail-${PV}
+ ./collate.sh || die "patching failed"
+ mv "${WORKDIR}"/mini-qmail-kit-0.52/* "${S}"/
+
+ cd "${S}"
+ echo -n "$(tc-getCC) ${CFLAGS}" > "${S}"/conf-cc
+ echo -n "$(tc-getCC) ${LDFLAGS}" > "${S}"/conf-ld
+ ht_fix_file "${S}"/Makefile
+
+ epatch "${FILESDIR}"/${PV}-config-mini-help.patch
+}
+
+src_compile() {
+ emake it man || die
+}
+
+src_install() {
+ einfo "Setting up directory hierarchy ..."
+ keepdir /var/mini-qmail/control
+
+ dodoc FAQ UPGRADE SENDMAIL INSTALL* TEST* REMOVE* PIC* SECURITY
+ dodoc SYSDEPS TARGETS THANKS THOUGHTS TODO VERSION README*
+
+ exeinto /var/mini-qmail/bin
+ doexe qmail-qmqpc forward qmail-inject \
+ sendmail predate datemail mailsubj \
+ qmail-showctl maildirmake maildir2mbox \
+ maildirwatch qail elq pinq \
+ || die "doexe failed"
+ dosym qmail-qmqpc /var/mini-qmail/bin/qmail-queue
+ newexe config-mini.sh config-mini
+ dosed "s:QMAIL:/var/mini-qmail/:g" /var/mini-qmail/bin/config-mini
+
+ doman qmail-qmqpc.8 forward.1 qmail-inject.8 \
+ mailsubj.1 qmail-showctl.8 maildirmake.1 \
+ maildir2mbox.1 maildirwatch.1 qmail-queue.8 \
+ qmail.7
+
+ einfo "Adding env.d entry for qmail"
+ doenvd "${FILESDIR}"/99qmail
+
+ einfo "Creating sendmail replacement ..."
+ diropts -m 755
+ dodir /usr/sbin /usr/lib
+ dosym /var/mini-qmail/bin/sendmail /usr/sbin/sendmail
+ dosym /var/mini-qmail/bin/sendmail /usr/lib/sendmail
+}
+
+pkg_postinst() {
+ elog "In order for mini-qmail to work, you need to setup"
+ elog "the QMQP server information."
+ elog
+ elog "You can setup the values in /var/mini-qmail/control yourself,"
+ elog "or use the utility /var/mini-qmail/bin/config-mini"
+ elog "To find out what values to put in what files, see the install"
+ elog "section of http://cr.yp.to/qmail/mini.html"
+}
diff --git a/mail-mta/mini-qmail/mini-qmail-1.06.ebuild b/mail-mta/mini-qmail/mini-qmail-1.06.ebuild
new file mode 100644
index 00000000000..617a86baa44
--- /dev/null
+++ b/mail-mta/mini-qmail/mini-qmail-1.06.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+GENQMAIL_PV=20080406
+
+inherit eutils qmail
+
+DESCRIPTION="a small null client that forwards mail via QMQP to a full qmail server"
+HOMEPAGE="
+ http://netqmail.org
+ http://cr.yp.to/qmail/mini.html
+ http://qmail.org
+"
+SRC_URI="mirror://qmail/netqmail-${PV}.tar.gz
+ http://dev.gentoo.org/~hollow/distfiles/${GENQMAIL_F}"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 arm hppa ~mips ~ppc ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="
+ !mail-mta/courier
+ !mail-mta/esmtp
+ !mail-mta/exim
+ !mail-mta/maildrop
+ !mail-mta/msmtp
+ !mail-mta/netqmail
+ !mail-mta/nullmailer
+ !mail-mta/postfix
+ !mail-mta/qmail-ldap
+ !mail-mta/sendmail
+ !mail-mta/ssmtp
+ !mail-mta/opensmtpd
+ ${DEPEND}
+ "
+
+S="${WORKDIR}"/netqmail-${PV}
+
+src_unpack() {
+ genqmail_src_unpack
+
+ unpack netqmail-${PV}.tar.gz
+ cd "${S}"
+
+ epatch "${FILESDIR}"/${PV}-headers.patch
+
+ qmail_src_postunpack
+}
+
+src_compile() {
+ qmail_src_compile
+}
+
+# make check is actually an install-check target, see bug #364955
+src_test() { :; }
+
+qmail_base_install_hook() {
+ dosym qmail-qmqpc "${QMAIL_HOME}"/bin/qmail-queue
+ exeinto "${QMAIL_HOME}"/bin
+ doexe "${FILESDIR}"/config-mini
+}
+
+src_install() {
+ qmail_base_install
+ qmail_man_install
+ qmail_sendmail_install
+}